Skip to main content
GET
/
v1
/
users
/
{id}
Get user
curl --request GET \
  --url https://api.oneofnone.io/v1/users/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "email": "<string>",
  "created_at": "<string>",
  "phone": "<string>",
  "metadata": {},
  "avatar": {
    "url": "<string>"
  },
  "app_id": 123,
  "team_id": "<string>",
  "last_login_at": "<string>",
  "login_count": 123,
  "updated_at": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Query Parameters

type
enum<string>
Available options:
ID,
EMAIL

Response

Successful response

id
string
required
email
string
required
created_at
string
required
phone
string | null
metadata
object
avatar
object
app_id
number | null
team_id
string | null
last_login_at
string | null
login_count
number | null
updated_at
string | null